org.nvmexpress.staf

nvme-stas 1.0

## Name

org.nvmexpress.staf

## Methods

    list_controllers  (IN  b      detailed,
                       OUT aa{ss} controller_list);
    get_log_pages     (IN  s      transport,
                       IN  s      traddr,
                       IN  s      trsvcid,
                       IN  s      host_traddr,
                       IN  s      host_iface,
                       IN  s      subsysnqn,
                       OUT aa{ss} log_pages);
    get_all_log_pages (IN  b      detailed,
                       OUT s      log_pages_json);

## Signals

    log_pages_changed (s transport,
                       s traddr,
                       s trsvcid,
                       s host_traddr,
                       s host_iface,
                       s subsysnqn,
                       s device);

## Description

## Method Details

### The list_controllers() method

    list_controllers (IN  b      detailed,
                      OUT aa{ss} controller_list);

"`IN b `detailed``":

"`OUT aa{ss} `controller_list``":

### The get_log_pages() method

    get_log_pages (IN  s      transport,
                   IN  s      traddr,
                   IN  s      trsvcid,
                   IN  s      host_traddr,
                   IN  s      host_iface,
                   IN  s      subsysnqn,
                   OUT aa{ss} log_pages);

"`IN s `transport``":

"`IN s `traddr``":

"`IN s `trsvcid``":

"`IN s `host_traddr``":

"`IN s `host_iface``":

"`IN s `subsysnqn``":

"`OUT aa{ss} `log_pages``":

### The get_all_log_pages() method

    get_all_log_pages (IN  b detailed,
                       OUT s log_pages_json);

"`IN b `detailed``":

"`OUT s `log_pages_json``":

## Signal Details

### The "log_pages_changed" signal

    log_pages_changed (s transport,
                       s traddr,
                       s trsvcid,
                       s host_traddr,
                       s host_iface,
                       s subsysnqn,
                       s device);

"`s `transport``":

"`s `traddr``":

"`s `trsvcid``":

"`s `host_traddr``":

"`s `host_iface``":

"`s `subsysnqn``":

"`s `device``":